#!/usr/bin/env python

"""
Install the spongenet package.
"""

import os
from setuptools import setup

setup(name='Spongenet',
      version='1.0',
      description='Sponge data processing utilities',
      author='Chris Calloway',
      author_email='cbc@chriscalloway.org',
      url='http://trac.nccoos.org/dataproc/wiki/spongenet',
      long_description='Utilities to expand directories of' \
                       ' compressed sponge data files and' \
                       ' combine them into one XML document.',
      license='GPL2',
      platforms='POSIX',
      classifiers=['Development Status :: 3 - Alpha',
                   'License :: OSI Approved' \
                       ' :: GNU General Public License (GPL)',
                   'Operating System :: POSIX',
                  ],
      packages=['spongenet',
                'spongenet.tests',
                'spongenet.tests.expand',
                'spongenet.tests.parse',
               ],
      package_data={'spongenet.tests.expand': [os.path.join('zip',
                                                            '*',
                                                            '*.zip',),
                                               os.path.join('xmlref',
                                                            '*',
                                                            '*.ref',),
                                               os.path.join('xmlref',
                                                            '*',
                                                            '*',
                                                            '*.xml',), ],
                    'spongenet.tests.parse': [os.path.join('xml',
                                                           '*',
                                                           '*.xml',), ],
                   },
     )
